Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.saxon.s9api
Enum Serializer.Property

    java.lang.Object
      java.lang.Enum<Serializer.Property>
          net.sf.saxon.s9api.Serializer.Property

All Implemented Interfaces:
  Serializable, Comparable<Serializer.Property>

Enclosing class:
  Serializer

    public static enum Serializer.Property

extends Enum<Serializer.Property>

Enumerator over the defined serialization properties

Enum Constant Summary
`BYTE_ORDER_MARK` Set to "yes" or "no" to indicate whether a byte order mark is to be written
`CDATA_SECTION_ELEMENTS` Space-separated list of QNames (in Clark form) of elements whose content is to be wrapped in CDATA sections
`DOCTYPE_PUBLIC` Set to any string to indicate that the output is to include a DOCTYPE declaration with this public id
`DOCTYPE_SYSTEM` Set to any string to indicate that the output is to include a DOCTYPE declaration with this system id
`ENCODING` Character encoding of output stream
`ESCAPE_URI_ATTRIBUTES` Set to "yes" or "no" to indicate (for HTML and XHTML) whether URI-valued attributes should be percent-encoded
`INCLUDE_CONTENT_TYPE` For HTML and XHTML, set to "yes" or "no" to indicate whether a <meta> element is to be written to indicate the content type and encoding
`INDENT` Set to "yes" or "no" to indicate whether indentation is required
`MEDIA_TYPE` Set to indicate the media type (MIME type) of the output
`METHOD` Serialization method: xml, html, xhtml, or text
`NORMALIZATION_FORM` Set to the name of a Unicode normalization form: "NFC", "NFD", "NFKC", or "NFKD", or "none" to indicate no normalization
`OMIT_XML_DECLARATION` Set to "yes" if the XML declaration is to be omitted from the output file
`SAXON_CHARACTER_REPRESENTATION` Saxon extension to indicate how characters outside the encoding should be represented, for example "hex" for hexadecimal character references, "decimal" for decimal character references
`SAXON_DOUBLE_SPACE` Saxon extension: set to a space-separated list of element names, in Clark notation, representing elements that will be preceded by an extra blank line in the output in addition to normal indentation.
`SAXON_IMPLICIT_RESULT_DOCUMENT` Saxon extension for internal use in XSLT, indicates that this output document is the implicitly created result tree as distinct from a tree created using <xsl:result-document>
`SAXON_INDENT_SPACES` Saxon extension: set to an integer (represented as a string) giving the number of spaces by which each level of nesting should be indented.
`SAXON_LINE_LENGTH` Saxon extension: set to an integer (represented as a string) giving the desired maximum length of lines when indenting.
`SAXON_NEXT_IN_CHAIN` Saxon extension to indicate that output should not be serialized, but should be further transformed.
`SAXON_NEXT_IN_CHAIN_BASE_URI` Saxon extension, indicate the base URI against which `SAXON_NEXT_IN_CHAIN` should be resolved.
`SAXON_RECOGNIZE_BINARY` Saxon extension for use when writing to the text output method; this option causes the processing instructions hex and b64 to be recognized containing hexBinary or base64 data respectively.
`SAXON_REQUIRE_WELL_FORMED` Saxon extension for use when output is sent to a SAX ContentHandler: indicates that the output is required to be well-formed (exactly one top-level element)
`SAXON_STYLESHEET_VERSION` Saxon extension for internal use: used in XSLT to tell the serializer whether the stylesheet used version="1.0" or version="2.0"
`SAXON_SUPPLY_SOURCE_LOCATOR` Saxon extension for interfacing with debuggers; indicates that the location information is available for events in this output stream
`SAXON_SUPPRESS_INDENTATION` Saxon extension: set to a space-separated list of element names, in Clark notation, within which no content is to be indented.
`SAXON_WRAP` Saxon extension, indicates that the output of a query is to be wrapped before serialization, such that each item in the result sequence is enclosed in an element indicating its type
`STANDALONE` Set to "yes", "no", or "omit" to indicate the required value of the standalone attribute in the XML declaration of the output file
`UNDECLARE_PREFIXES` Set to "yes" or "no" to indicate (for XML 1.1) whether namespace that go out of scope should be undeclared
`USE_CHARACTER_MAPS` List of names of character maps to be used.
`VERSION` Version of output method, for example "1.0" or "1.1" for XML

Method Summary
`QName` | `getQName()` Get the name of the property expressed as a QName.
`String` | `toString()` Get the name of the property expressed as a QName in Clark notation.
`static Serializer.Property` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Serializer.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### METHOD

    public static final Serializer.Property METHOD

  Serialization method: xml, html, xhtml, or text

### VERSION

    public static final Serializer.Property VERSION

  Version of output method, for example "1.0" or "1.1" for XML

### ENCODING

    public static final Serializer.Property ENCODING

  Character encoding of output stream

### OMIT_XML_DECLARATION

    public static final Serializer.Property OMIT_XML_DECLARATION

  Set to "yes" if the XML declaration is to be omitted from the output file

### STANDALONE

    public static final Serializer.Property STANDALONE

  Set to "yes", "no", or "omit" to indicate the required value of the standalone attribute in the XML declaration of the output file

### DOCTYPE_PUBLIC

    public static final Serializer.Property DOCTYPE_PUBLIC

  Set to any string to indicate that the output is to include a DOCTYPE declaration with this public id

### DOCTYPE_SYSTEM

    public static final Serializer.Property DOCTYPE_SYSTEM

  Set to any string to indicate that the output is to include a DOCTYPE declaration with this system id

### CDATA_SECTION_ELEMENTS

    public static final Serializer.Property CDATA_SECTION_ELEMENTS

  Space-separated list of QNames (in Clark form) of elements whose content is to be wrapped in CDATA sections

### INDENT

    public static final Serializer.Property INDENT

  Set to "yes" or "no" to indicate whether indentation is required

### MEDIA_TYPE

    public static final Serializer.Property MEDIA_TYPE

  Set to indicate the media type (MIME type) of the output

### USE_CHARACTER_MAPS

    public static final Serializer.Property USE_CHARACTER_MAPS

  List of names of character maps to be used. Character maps can only be specified in an XSLT stylesheet.

### INCLUDE_CONTENT_TYPE

    public static final Serializer.Property INCLUDE_CONTENT_TYPE

  For HTML and XHTML, set to "yes" or "no" to indicate whether a <meta> element is to be written to indicate the content type and encoding

### UNDECLARE_PREFIXES

    public static final Serializer.Property UNDECLARE_PREFIXES

  Set to "yes" or "no" to indicate (for XML 1.1) whether namespace that go out of scope should be undeclared

### ESCAPE_URI_ATTRIBUTES

    public static final Serializer.Property ESCAPE_URI_ATTRIBUTES

  Set to "yes" or "no" to indicate (for HTML and XHTML) whether URI-valued attributes should be percent-encoded

### BYTE_ORDER_MARK

    public static final Serializer.Property BYTE_ORDER_MARK

  Set to "yes" or "no" to indicate whether a byte order mark is to be written

### NORMALIZATION_FORM

    public static final Serializer.Property NORMALIZATION_FORM

  Set to the name of a Unicode normalization form: "NFC", "NFD", "NFKC", or "NFKD", or "none" to indicate no normalization

### SAXON_INDENT_SPACES

    public static final Serializer.Property SAXON_INDENT_SPACES

  Saxon extension: set to an integer (represented as a string) giving the number of spaces by which each level of nesting should be indented. Default is 3.

### SAXON_LINE_LENGTH

    public static final Serializer.Property SAXON_LINE_LENGTH

  Saxon extension: set to an integer (represented as a string) giving the desired maximum length of lines when indenting. Default is 80.

### SAXON_SUPPRESS_INDENTATION

    public static final Serializer.Property SAXON_SUPPRESS_INDENTATION

  Saxon extension: set to a space-separated list of element names, in Clark notation, within which no content is to be indented. This is typically because the element contains mixed content in which whitespace is significant.

### SAXON_DOUBLE_SPACE

    public static final Serializer.Property SAXON_DOUBLE_SPACE

  Saxon extension: set to a space-separated list of element names, in Clark notation, representing elements that will be preceded by an extra blank line in the output in addition to normal indentation.

### SAXON_STYLESHEET_VERSION

    public static final Serializer.Property SAXON_STYLESHEET_VERSION

  Saxon extension for internal use: used in XSLT to tell the serializer whether the stylesheet used version="1.0" or version="2.0"

### SAXON_CHARACTER_REPRESENTATION

    public static final Serializer.Property SAXON_CHARACTER_REPRESENTATION

  Saxon extension to indicate how characters outside the encoding should be represented, for example "hex" for hexadecimal character references, "decimal" for decimal character references

### SAXON_NEXT_IN_CHAIN

    public static final Serializer.Property SAXON_NEXT_IN_CHAIN

  Saxon extension to indicate that output should not be serialized, but should be further transformed. The property gives the relative URI of a stylesheet to be applied. Note that the `Serializer` class does not recognize this property.

### SAXON_NEXT_IN_CHAIN_BASE_URI

    public static final Serializer.Property SAXON_NEXT_IN_CHAIN_BASE_URI

  Saxon extension, indicate the base URI against which `SAXON_NEXT_IN_CHAIN` should be resolved.

### SAXON_RECOGNIZE_BINARY

    public static final Serializer.Property SAXON_RECOGNIZE_BINARY

  Saxon extension for use when writing to the text output method; this option causes the processing instructions hex and b64 to be recognized containing hexBinary or base64 data respectively.

### SAXON_REQUIRE_WELL_FORMED

    public static final Serializer.Property SAXON_REQUIRE_WELL_FORMED

  Saxon extension for use when output is sent to a SAX ContentHandler: indicates that the output is required to be well-formed (exactly one top-level element)

### SAXON_WRAP

    public static final Serializer.Property SAXON_WRAP

  Saxon extension, indicates that the output of a query is to be wrapped before serialization, such that each item in the result sequence is enclosed in an element indicating its type

### SAXON_IMPLICIT_RESULT_DOCUMENT

    public static final Serializer.Property SAXON_IMPLICIT_RESULT_DOCUMENT

  Saxon extension for internal use in XSLT, indicates that this output document is the implicitly created result tree as distinct from a tree created using <xsl:result-document>

### SAXON_SUPPLY_SOURCE_LOCATOR

    public static final Serializer.Property SAXON_SUPPLY_SOURCE_LOCATOR

  Saxon extension for interfacing with debuggers; indicates that the location information is available for events in this output stream

Method Detail

### values

    public static Serializer.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Serializer.Property c : Serializer.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Serializer.Property valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Get the name of the property expressed as a QName in Clark notation. The namespace will be null for standard serialization properties, and will be the Saxon namespace `http://saxon.sf.net/` for Saxon extensions

  Overrides:
    `toString` in class `Enum<Serializer.Property>`
  Returns:
    the name of the serialization property as a QName in Clark notation, {uri}local

### getQName

    public QName getQName()

  Get the name of the property expressed as a QName. The namespace will be null for standard serialization properties, and will be the Saxon namespace `http://saxon.sf.net/` for Saxon extensions

  Returns:
    the name of the serialization property as a QName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.